> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Session

Retrieve the current state of an Opal session. Use this endpoint from your backend to check a user's progress, such as the confirmed allocations and payout status of a [Balance Transfer](https://docs.methodfi.com/opal/balance_transfer/overview.md) session.

> [!NOTE]
>
> This endpoint requires your secret API key. Requests authenticated with an
> Opal token are rejected. Sessions that do not belong to your team return
> `404`.

## Path Parameters

## Returns

Returns the Opal session. The session includes a flow object for each flow in its mode (`idv`, `cxn`, `avf`, `txn`, or `bt`). Flows that are not part of the mode are `null`.

```bash cURL theme={null}
curl https://production.methodfi.com/opal/sessions/osess_zde3mW34pEHqV \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```json theme={null}
{
  "success": true,
  "data": {
    "id": "osess_zde3mW34pEHqV",
    "mode": "balance_transfer",
    "bt": {
      "loan_amount": 1000000,
      "minimum_payment": 5000,
      "maximum_payment": 500000,
      "residual_amount_max": 150000,
      "allocations": {
        "acc_hmap9mbgfLcf9": 500000,
        "acc_YXDrjADGjC76U": 350000
      },
      "payout_status": "pending_release",
      "payment_ids": {},
      "released_at": null,
      "completed": true
    },
    "created_at": "2026-09-23T22:31:40.312Z",
    "updated_at": "2026-09-23T22:48:10.512Z"
  },
  "message": null
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.